Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.soa.esb.addressing.eprs
Enum JMSEpr.AcknowledgeMode

    java.lang.Object
      java.lang.Enum<JMSEpr.AcknowledgeMode>
          org.jboss.soa.esb.addressing.eprs.JMSEpr.AcknowledgeMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JMSEpr.AcknowledgeMode>

Enclosing class:
  JMSEpr

    public static enum JMSEpr.AcknowledgeMode

extends java.lang.Enum<JMSEpr.AcknowledgeMode>

Enum to type-safe JMS Client Acknowledgement mode string mappings to JMS Session's integers.

Enum Constant Summary
`AUTO_ACKNOWLEDGE`
`CLIENT_ACKNOWLEDGE`
`DUPS_OK_ACKNOWLEDGE`

Method Summary
`static JMSEpr.AcknowledgeMode` | `getAckMode(java.lang.String ackMode)`
`int` | `getAcknowledgeModeInt()`
`static JMSEpr.AcknowledgeMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JMSEpr.AcknowledgeMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CLIENT_ACKNOWLEDGE

    public static final JMSEpr.AcknowledgeMode CLIENT_ACKNOWLEDGE

### AUTO_ACKNOWLEDGE

    public static final JMSEpr.AcknowledgeMode AUTO_ACKNOWLEDGE

### DUPS_OK_ACKNOWLEDGE

    public static final JMSEpr.AcknowledgeMode DUPS_OK_ACKNOWLEDGE

Method Detail

### values

    public static final JMSEpr.AcknowledgeMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(JMSEpr.AcknowledgeMode c : JMSEpr.AcknowledgeMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static JMSEpr.AcknowledgeMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getAcknowledgeModeInt

    public int getAcknowledgeModeInt()

### getAckMode

    public static JMSEpr.AcknowledgeMode getAckMode(java.lang.String ackMode)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD